<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMWO_DPWOViewEditViewBase from './emwo-dpwoview-edit-view-base.vue';

import view_form from '@widgets/emwo-dp/main4-form/main4-form.vue';

/**
 * 点检工单
 *
 * @export
 * @class EMWO_DPWOViewEditView
 * @extends {EMWO_DPWOViewEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMWO_DPWOViewEditView extends EMWO_DPWOViewEditViewBase { }
</script>